BACON(1)

NAME
bacon - small RSpec clone

SYNOPSIS
bacon [options] [files | -a] [-- untouched arguments]

DESCRIPTION

  Ruby options:

-e, --eval LINE
    evaluate a LINE of code

-d, --debug
    set debugging flags (set $DEBUG to true)

-w, --warn
    turn warnings on for your script

-I, --include PATH
    specify $LOAD_PATH (may be used more than once)

-r, --require LIBRARY
    require the library, before executing your script

  bacon options:

-s, --specdox
    do AgileDox-like output (default)

-q, --quiet
    do Test::Unit-like non-verbose output

-p, --tap
    do TAP (Test Anything Protocol) output

-k, --knock
    do Knock output

-o, --output FORMAT
    do FORMAT (SpecDox/TestUnit/Tap) output

-Q, --no-backtrace
    don't print backtraces

-a, --automatic
    gather tests from ./test/, include ./lib/

-n, --name NAME
    runs tests matching regexp NAME

-t, --testcase TESTCASE
    runs tests in TestCases matching regexp TESTCASE

  Common options:

-h, --help
    Show this message

--version
    Show version